#webdemo_main {
  width: 90%;
  margin: auto;
  margin-top: 20px;
}

#webdemo_title {
  font-family: Serif;
  font-size: 280%;
  color: black;
  text-align: center;
  margin-top: 20px;
}

#webdemo_title a:link, a:visited, a:active {
  color: black;
  text-decoration: none;
}

#webdemo_title a:hover {
  color: blue;
  text-decoration: underline;
}

#webdemo_version {
  font-family: Monospace;
  font-size: normal;
  text-align: center;
  margin-top: 10px;
}

#webdemo_samples {
  margin-top: 30px;
}

#webdemo_samples img {
    margin: 5px;
    float: none;
    height: 180px;
}

#webdemo_samples #header {
  font-family: Serif;
  font-size: normal;
  text-align: center;
}

#webdemo_description {
  font-family: Sans;
  font-size: normal;
  line-height: 150%; 
  text-align: center;
  width: 647px;
  margin: auto;
  margin-top: 30px;
  margin-bottom: 30px;
}

#result_canvas {
  margin-top: 30px;
  text-align:center;
}

#webdemo_annotation_text {
  font-family: Sans;
  width: 400px;
  height: 1em;
  background-color: #eee;
  text-align:center;
  margin: auto;
  padding: 10px;
}

#webdemo_keypoint_annotation {
    display: none;
    background: #e6e6e6;
    margin-left: 20px;
    margin-top: 20px;
    padding: 10px;
    position: absolute;
    width: 180px;
    height: 25px;
    z-index: 1000;
    
    text-align:center;
    font-family: Sans;

}

#webdemo_download_annotation {
  text-align: center;
  margin-top: 10px;
  margin-bottom: 30px;
}

#dropim {
  width: 647px;
  height: 400px;

  font-size: large;

  position: relative;
  border: 2px dashed #000000;
  border-radius: 15px;
  margin: 30px auto;

  color: #000000;
  background-color: #f4f4f4;

  display: flex;
  justify-content: center;
  align-items: center; 
}

#dropim.hover {
  border: 1px solid ;
  outline: none;
  color: #555555;
  background-color: #e9e9e9;
  border-color: #9ecaed;
  box-shadow: 0 0 10px 2px #9ecaed;
}

/* when the container contains the image*/
#dropim.dropped {
  width: 647px;
  height: 400px;
  background-color: #ffffff;
  border: none;
}
#dropim div {
  position: relative;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
#dropim img {
  vertical-align: middle;
  width: 647px;
  height: 400px;
  object-fit: contain;
}
#dropim [type="file"] {
  cursor: pointer;
  position: absolute;
  opacity: 0;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

/* INPUT elements */
#text_url{
    display: flex;
    width: 647px;
    margin: auto;
}
#urlfield {
  outline-style: none;
  border-radius: 10px;
  border: 1px solid #cccccc;
  height: 40px;
  width: 100%;
  /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
  font-size: large;
  text-indent: 10px;
  color: #000000;
}
#urlinput{
    flex-grow: 10;
    margin: 5px;
}
.bttn{
  flex-grow: 0;
  margin: 5px;
}
#cancel_btn {
  line-height: 40px;
  border-radius: 100%;
  /*font-family: Arial;*/
  color: #BFBFBF;
  background-color: #FFFFFF;
  font-size: 22px;
  padding: 6px 12px 6px 12px;
  border: solid #BFBFBF 2px;
  text-decoration: none;
  transition-duration: 300ms;
  cursor: pointer;
}
#cancel_btn:hover {
  background: #BFBFBF;
  color: #FFFFFF;
  text-decoration: none;
}
#go_btn {
  line-height: 40px;
  border-radius: 100%;
  /*font-family: Arial;*/
  color: #EEEEEE;
  background-color: #71BA23;
  font-size: 20px;
  padding: 6px 6px 6px 6px;
  border: solid #3DA133 2px;
  text-decoration: none;  
  transition-duration: 300ms;
  cursor: pointer;
}
#go_btn:hover {
  background: #218200;
  color: #FFFFFF;
  text-decoration: none; 
}

/*==========================================================*/
/*loading spinner*/
#spinner {
  flex-grow: 0;
  width: 40px;
  height:40px;
  position: relative;
  margin: 5px;
}

.double-bounce1, .double-bounce2 {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #218200;
  opacity: 0.6;
  position: absolute;
  top: 0;
  left: 0;
  
  -webkit-animation: sk-bounce 2.0s infinite ease-in-out;
  animation: sk-bounce 2.0s infinite ease-in-out;
}

.double-bounce2 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

@-webkit-keyframes sk-bounce {
  0%, 100% { -webkit-transform: scale(0.0) }
  50% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bounce {
  0%, 100% { 
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  } 50% { 
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}

